Bug 1464485 - documentation lack for includeFile, includeDir and includeSearch options
documentation lack for includeFile, includeDir and includeSearch options
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: 7.5
Assigned To: Josef Ridky
BaseOS QE Security Team
: Documentation
Depends On:
Blocks: 1420851 1465906 1465925
  Show dependency treegraph
 
Reported: 2017-06-23 10:16 EDT by dbodnarc
Modified: 2017-11-01 09:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: net-snmp-5.7.2-29.el7
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
man page fix (1.37 KB, patch)
2017-06-26 05:35 EDT, Josef Ridky
no flags Details | Diff

  None (edit)
Description dbodnarc 2017-06-23 10:16:49 EDT
Description of problem:
man snmp_config doesn't contain information for the following options:
includeFile
includeDir
includeSearch

and is pointing to option `include` which doesn't look to be supported:
/etc/snmp/snmpd.conf: line XX: Warning: Ambiguous token 'include' - use 'includeSearch' (or 'includeFile') instead.

Version-Release number of selected component (if applicable):
net-snmp-5.7.2-24.el7_3.2.x86_64

How reproducible:
man snmp_config

Actual results:
INCLUDING OTHER CONFIGURATION FILES
       It is possible to include other configuration files for processing during normal configuration file processing.:

              # include site specific config
              include site.conf

       This will search every directory in the configuration path for files
       named site.conf, and will process those files before returning to the
       processing of the original file. Note that if '.conf' is omitted,
       it will be appended. That is, all configuration files must end
       in '.conf'.

Expected results:
Description of the supported options:
includeFile
includeDir
includeSearch


Additional info:
man snmp_config in RHEL6 contains information regarding includeFile and includeDir
Comment 2 Josef Ridky 2017-06-26 05:35 EDT
Created attachment 1291926 [details]
man page fix

Man page for includeSearch doesn't exist. 

Patch for includeFile and includeDir man page fix is attached.

Note You need to log in before you can comment on or make changes to this bug.